package com.logicbig.example;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/employees")
public class EmployeeController {

    @GetMapping("/{employeeId}")
    public EmployeeResource getEmployeeById(@PathVariable long employeeId) {
        Employee employee = getEmployee(employeeId);
        return new EmployeeResourceAssembler()
                .toResource(employee);
    }

    private Employee getEmployee(long employeeId) {
        //todo: replace following with employee service
        return Employee.create(employeeId, "Tom", "Admin", 3000);
    }
}