package com.logicbig.example;

import org.springframework.hateoas.mvc.ResourceAssemblerSupport;

public class EmployeeResourceAssembler extends ResourceAssemblerSupport<Employee, EmployeeResource> {
    public EmployeeResourceAssembler() {
        super(EmployeeController.class, EmployeeResource.class);
    }

    @Override
    public EmployeeResource toResource(Employee entity) {
        EmployeeResource er = super.createResourceWithId(entity.getId(), entity);
        er.setName(entity.getName());
        er.setDept(entity.getDept());
        return er;
    }
}